Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

# Class TaxRecord1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_06.TaxRecord1

public class TaxRecord1 extends Object

Java class for TaxRecord1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxRecord1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="Ctgy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="CtgyDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="DbtrSts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="CertId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="FrmsCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="Prd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}TaxPeriod1" minOccurs="0"/>
             <element name="TaxAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}TaxAmount1" minOccurs="0"/>
             <element name="AddtlInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max140Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`addtlInf`
`protected String`
`certId`
`protected String`
`ctgy`
`protected String`
`ctgyDtls`
`protected String`
`dbtrSts`
`protected String`
`frmsCd`
`protected TaxPeriod1`
`prd`
`protected TaxAmount1`
`taxAmt`
`protected String`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`TaxRecord1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddtlInf()`
Gets the value of the addtlInf property.
`String`
`getCertId()`
Gets the value of the certId property.
`String`
`getCtgy()`
Gets the value of the ctgy property.
`String`
`getCtgyDtls()`
Gets the value of the ctgyDtls property.
`String`
`getDbtrSts()`
Gets the value of the dbtrSts property.
`String`
`getFrmsCd()`
Gets the value of the frmsCd property.
`TaxPeriod1`
`getPrd()`
Gets the value of the prd property.
`TaxAmount1`
`getTaxAmt()`
Gets the value of the taxAmt property.
`String`
`getTp()`
Gets the value of the tp property.
`void`
`setAddtlInf(String value)`
Sets the value of the addtlInf property.
`void`
`setCertId(String value)`
Sets the value of the certId property.
`void`
`setCtgy(String value)`
Sets the value of the ctgy property.
`void`
`setCtgyDtls(String value)`
Sets the value of the ctgyDtls property.
`void`
`setDbtrSts(String value)`
Sets the value of the dbtrSts property.
`void`
`setFrmsCd(String value)`
Sets the value of the frmsCd property.
`void`
`setPrd(TaxPeriod1 value)`
Sets the value of the prd property.
`void`
`setTaxAmt(TaxAmount1 value)`
Sets the value of the taxAmt property.
`void`
`setTp(String value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected String tp

### ctgy

protected String ctgy

### ctgyDtls

protected String ctgyDtls

### dbtrSts

protected String dbtrSts

### certId

protected String certId

### frmsCd

protected String frmsCd

### prd

protected TaxPeriod1 prd

### taxAmt

protected TaxAmount1 taxAmt

### addtlInf

protected String addtlInf

## Constructor Details

### TaxRecord1

public TaxRecord1()

## Method Details

### getTp

public String getTp()
Gets the value of the tp property.

Returns:
  possible object is `String`

### setTp

public void setTp(String value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `String`

### getCtgy

public String getCtgy()
Gets the value of the ctgy property.

Returns:
  possible object is `String`

### setCtgy

public void setCtgy(String value)
Sets the value of the ctgy property.

Parameters:
  `value` - allowed object is `String`

### getCtgyDtls

public String getCtgyDtls()
Gets the value of the ctgyDtls property.

Returns:
  possible object is `String`

### setCtgyDtls

public void setCtgyDtls(String value)
Sets the value of the ctgyDtls property.

Parameters:
  `value` - allowed object is `String`

### getDbtrSts

public String getDbtrSts()
Gets the value of the dbtrSts property.

Returns:
  possible object is `String`

### setDbtrSts

public void setDbtrSts(String value)
Sets the value of the dbtrSts property.

Parameters:
  `value` - allowed object is `String`

### getCertId

public String getCertId()
Gets the value of the certId property.

Returns:
  possible object is `String`

### setCertId

public void setCertId(String value)
Sets the value of the certId property.

Parameters:
  `value` - allowed object is `String`

### getFrmsCd

public String getFrmsCd()
Gets the value of the frmsCd property.

Returns:
  possible object is `String`

### setFrmsCd

public void setFrmsCd(String value)
Sets the value of the frmsCd property.

Parameters:
  `value` - allowed object is `String`

### getPrd

public TaxPeriod1 getPrd()
Gets the value of the prd property.

Returns:
  possible object is `TaxPeriod1`

### setPrd

public void setPrd(TaxPeriod1 value)
Sets the value of the prd property.

Parameters:
  `value` - allowed object is `TaxPeriod1`

### getTaxAmt

public TaxAmount1 getTaxAmt()
Gets the value of the taxAmt property.

Returns:
  possible object is `TaxAmount1`

### setTaxAmt

public void setTaxAmt(TaxAmount1 value)
Sets the value of the taxAmt property.

Parameters:
  `value` - allowed object is `TaxAmount1`

### getAddtlInf

public String getAddtlInf()
Gets the value of the addtlInf property.

Returns:
  possible object is `String`

### setAddtlInf

public void setAddtlInf(String value)
Sets the value of the addtlInf property.

Parameters:
  `value` - allowed object is `String`